
-- 
-- Tabellenstruktur fr Tabelle `tx_tdodoptindownload_blacklist`
-- 

CREATE TABLE `tx_tdodoptindownload_blacklist` (
  `uid` int(11) NOT NULL COMMENT 'User uid',
  `pid` int(11) NOT NULL default '0',
  `tstamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `email` varchar(255) NOT NULL COMMENT 'E-Mail',
  `grund` text NOT NULL,
  KEY `uid` (`uid`,`pid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `tx_tdodoptindownload_download_campaign`
-- 

CREATE TABLE `tx_tdodoptindownload_download_campaign` (
  `uid` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `tstamp` int(11) NOT NULL default '0',
  `crdate` int(11) NOT NULL default '0',
  `cruser_id` int(11) NOT NULL default '0',
  `deleted` tinyint(4) NOT NULL default '0',
  `hidden` tinyint(4) NOT NULL default '0',
  `campaign_name` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`uid`),
  KEY `parent` (`pid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `tx_tdodoptindownload_download_log`
-- 

CREATE TABLE `tx_tdodoptindownload_download_log` (
  `uid` int(11) NOT NULL COMMENT 'User uid',
  `pid` int(11) NOT NULL default '0',
  `tstamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `campaignid` int(11) NOT NULL COMMENT 'Id der Kampagne',
  `filename` tinytext NOT NULL COMMENT 'Dateiname',
  KEY `uid` (`uid`,`pid`,`campaignid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `tx_tdodoptindownload_download_user`
-- 

CREATE TABLE `tx_tdodoptindownload_download_user` (
  `uid` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `tstamp` int(11) NOT NULL default '0',
  `crdate` int(11) NOT NULL default '0',
  `cruser_id` int(11) NOT NULL default '0',
  `deleted` tinyint(4) NOT NULL default '0',
  `hidden` tinyint(4) NOT NULL default '0',
  `address` varchar(4) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `firstname` varchar(255) NOT NULL default '',
  `surname` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `campaign` int(11) NOT NULL default '0',
  `blacklist` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`uid`),
  UNIQUE KEY `email` (`email`),
  KEY `parent` (`pid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `tx_tdodoptindownload_download_user_campaign_mm`
-- 

CREATE TABLE `tx_tdodoptindownload_download_user_campaign_mm` (
  `uid_local` int(11) NOT NULL default '0',
  `uid_foreign` int(11) NOT NULL default '0',
  `tablenames` varchar(30) NOT NULL default '',
  `sorting` int(11) NOT NULL default '0',
  PRIMARY KEY  (`uid_local`,`uid_foreign`),
  KEY `uid_foreign` (`uid_foreign`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `tx_tdodoptindownload_temp_user`
-- 

CREATE TABLE `tx_tdodoptindownload_temp_user` (
  `uid` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `tstamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `hash` varchar(32) NOT NULL,
  `address` varchar(4) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `firstname` varchar(255) NOT NULL default '',
  `surname` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `campaign` int(11) NOT NULL,
  PRIMARY KEY  (`uid`),
  UNIQUE KEY `hash` (`hash`),
  KEY `parent` (`pid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
