<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_tdodoptindownload_download_user"] = array (
	"ctrl" => $TCA["tx_tdodoptindownload_download_user"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "hidden,address,title,firstname,surname,email,campaign,blacklist"
	),
	"feInterface" => $TCA["tx_tdodoptindownload_download_user"]["feInterface"],
	"columns" => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		"address" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.address",		
			"config" => Array (
				"type" => "radio",
				"items" => Array (
					Array("LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.address.I.0", "Herr"),
					Array("LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.address.I.1", "Frau"),
				),
			)
		),
		"title" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "255",	
				"eval" => "trim",
			)
		),
		"firstname" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.firstname",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "255",	
				"eval" => "trim",
			)
		),
		"surname" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.surname",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "255",	
				"eval" => "trim",
			)
		),
		"email" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.email",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "255",	
				"eval" => "required,trim,unique",
			)
		),
		"campaign" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.campaign",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_tdodoptindownload_download_campaign",	
				"foreign_table_where" => "ORDER BY tx_tdodoptindownload_download_campaign.uid",	
				"size" => 5,	
				"minitems" => 0,
				"maxitems" => 100,	
				"MM" => "tx_tdodoptindownload_download_user_campaign_mm",	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_tdodoptindownload_download_campaign",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"list" => Array(
						"type" => "script",
						"title" => "List",
						"icon" => "list.gif",
						"params" => Array(
							"table"=>"tx_tdodoptindownload_download_campaign",
							"pid" => "###CURRENT_PID###",
						),
						"script" => "wizard_list.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"blacklist" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_user.blacklist",		
			"config" => Array (
				"type" => "check",
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "hidden;;1;;1-1-1, address, title;;;;2-2-2, firstname;;;;3-3-3, surname, email, campaign, blacklist")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);



$TCA["tx_tdodoptindownload_download_campaign"] = array (
	"ctrl" => $TCA["tx_tdodoptindownload_download_campaign"]["ctrl"],
	"interface" => array (
		"showRecordFieldList" => "hidden,campaign_name,title"
	),
	"feInterface" => $TCA["tx_tdodoptindownload_download_campaign"]["feInterface"],
	"columns" => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		"campaign_name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_campaign.campaign_name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "255",	
				"eval" => "trim",
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:tdo_doptin_download/locallang_db.xml:tx_tdodoptindownload_download_campaign.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"max" => "255",	
				"eval" => "required,trim",
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "hidden;;1;;1-1-1, campaign_name, title;;;;2-2-2")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);
?>